<?php

namespace Litecms\Leveluserrank;

use User;

class Leveluserrank
{
    /**
     * $leveluserrank object.
     */
    protected $leveluserrank;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Leveluserrank\Interfaces\LeveluserrankRepositoryInterface $leveluserrank)
    {
        $this->leveluserrank = $leveluserrank;
    }

    /**
     * Returns count of leveluserrank.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.leveluserrank.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->leveluserrank->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\LeveluserrankUserCriteria());
        }

        $leveluserrank = $this->leveluserrank->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('leveluserrank::' . $view, compact('leveluserrank'))->render();
    }
}
