<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLeveluserrankSTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: leveluserrank_s
         */
        Schema::create('leveluserrank_s', function ($table) {
            $table->increments('id');
            $table->integer('level')->nullable();
            $table->text('rank')->nullable();
            $table->text('deposit_bonus')->nullable();
            $table->text('ref_bonus')->nullable();
            $table->text('reinvest_bal')->nullable();
            $table->text('one_time_bonus')->nullable();
            $table->text('point_level')->nullable();
            $table->text('level_ref_sys')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('leveluserrank_s');
    }
}
